package org.dromara.ygpassport.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.ygpassport.domain.bo.ResearchBo;
import org.dromara.ygpassport.domain.vo.ResearchVo;

import java.util.Collection;
import java.util.List;

/**
 * 科研Service接口
 *
 */
public interface IResearchService {
    /**
     * 查询科研
     */
    ResearchVo queryById(Long id);

    /**
     * 查询科研列表
     */
    TableDataInfo<ResearchVo> queryPageList(ResearchBo bo, PageQuery pageQuery);

    /**
     * 查询科研列表
     */
    List<ResearchVo> queryList(ResearchBo bo);

    /**
     * 新增科研
     */
    Boolean insertByBo(ResearchBo bo);

    /**
     * 修改科研
     */
    Boolean updateByBo(ResearchBo bo);

    /**
     * 校验并批量删除科研信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ResearchVo> queryListByStuNo(String stuNo);
}
